Debian Bug report logs - #520474
Widgets should implement Eq and Ord.

version graph

Package: libghc6-gtk-dev; Maintainer for libghc6-gtk-dev is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for libghc6-gtk-dev is src:haskell-dummy.

Reported by: Daniel Burrows <dburrows@debian.org>

Date: Fri, 20 Mar 2009 03:36:08 UTC

Severity: wishlist

Tags: confirmed, fixed-upstream

Found in version gtk2hs/0.10.0-2

Fixed in version 0.11.0-1

Done: Marco Túlio Gontijo e Silva <marcot@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://hackage.haskell.org/trac/gtk2hs/ticket/1158

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
Bug#520474; Package libghc6-gtk-dev. (Fri, 20 Mar 2009 03:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
New Bug report received and forwarded. Copy sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>. (Fri, 20 Mar 2009 03:36:33 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Widgets should implement Eq and Ord.
Date: Thu, 19 Mar 2009 20:31:48 -0700
Package: libghc6-gtk-dev
Version: 0.10.0-2
Severity: wishlist

  When using GTK+ from a typical imperative language such as C++, it's
occasionally useful to use the object identity of a widget: for
instance, you might want to create a set of "main" windows and
terminate the program only when all of them close.  Since widgets are
represented by pointers, this is straightforward, and they can be
stored in any standard container class (such as std::set).

  Unfortunately, the Haskell binding doesn't expose this information.
It would be nice if GTK+ objects had instances of Ord and Eq based on
pointer identity.  Then they could, e.g., be stored in Data.Set.Set
objects.

  (I know this can be worked around; it's just something that would
   save a little trouble)

  Daniel

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libghc6-gtk-dev depends on:
ii  ghc6                     6.10.1+dfsg1-13 GHC - the Glasgow Haskell Compilat
ii  libatk1.0-0              1.22.0-1        The ATK accessibility toolkit
ii  libc6                    2.9-4           GNU C Library: Shared libraries
ii  libcairo2                1.8.6-2         The Cairo 2D vector graphics libra
ii  libffi5                  3.0.7-1         Foreign Function Interface library
ii  libghc6-cairo-dev        0.10.0-2        A GUI library for Haskell (Gtk2Hs)
ii  libghc6-glib-dev         0.10.0-2        A GUI library for Haskell (Gtk2Hs)
ii  libghc6-mtl-dev          1.1.0.2-6       Haskell monad transformer library 
ii  libglib2.0-0             2.18.4-2        The GLib library of C routines
ii  libgmp3c2                2:4.2.2+dfsg-3  Multiprecision arithmetic library
ii  libgtk2.0-0              2.14.7-4+b1     The GTK+ graphical user interface 
ii  libgtk2.0-dev            2.14.7-4+b1     Development files for the GTK+ lib
ii  libpango1.0-0            1.22.4-2        Layout and rendering of internatio

libghc6-gtk-dev recommends no packages.

Versions of packages libghc6-gtk-dev suggests:
ii  gtk2hs-doc                    0.10.0-2   A GUI library for Haskell (Gtk2Hs)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#520474; Package libghc6-gtk-dev. (Fri, 20 Mar 2009 09:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
Extra info received and forwarded to list. (Fri, 20 Mar 2009 09:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 520474@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
To: Daniel Burrows <dburrows@debian.org>, 520474@bugs.debian.org
Subject: Re: Bug#520474: Widgets should implement Eq and Ord.
Date: Fri, 20 Mar 2009 06:50:17 -0300
Hello,

this bug was reported in gtk2hs trac:
http://hackage.haskell.org/trac/gtk2hs/ticket/1158 .

Thanks for repporting.

-- 
marcot
http://marcot.iaaeee.org/






Noted your statement that Bug has been forwarded to http://hackage.haskell.org/trac/gtk2hs/ticket/1158. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Fri, 20 Mar 2009 13:06:02 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 27 Aug 2009 09:44:22 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Sun, 18 Oct 2009 19:15:17 GMT) Full text and rfc822 format available.

Reply sent to Marco Túlio Gontijo e Silva <marcot@debian.org>:
You have taken responsibility. (Wed, 09 Jun 2010 03:09:05 GMT) Full text and rfc822 format available.

Notification sent to Daniel Burrows <dburrows@debian.org>:
Bug acknowledged by developer. (Wed, 09 Jun 2010 03:09:05 GMT) Full text and rfc822 format available.

Message #21 received at 520474-done@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@debian.org>
To: 520474-done <520474-done@bugs.debian.org>
Subject: This bug is fixed
Date: Tue, 08 Jun 2010 23:59:09 -0300
[Message part 1 (text/plain, inline)]
Version: 0.11.0-1

The new upstream version corrects this issue.

Greetings.
-- 
marcot
http://wiki.debian.org/MarcoSilva
[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Jul 2010 07:36:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:19:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.